---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      alpha_2:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      id:
      - cf42d789-24da-5dab-998f-b4cc7a673896
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c63b9e62-afc8-5099-8eb0-17b9439118c4
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - fff8fdb5-7130-5e22-862c-1b9283cea44b
      tier: DEFINITIVE
      value: 2.1200000762939455
  id: 2ad7923d-04cf-4db3-a721-dcaeb536dbc5
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1882.4222603091023
      BAND-11: 231.48256416805128
      BAND-12: 80.98776870720248
      BAND-2: 1932.622022283136
      BAND-3: 1811.0587938636306
      BAND-4: 1478.341818746013
      BAND-5: 1364.9361116745376
      BAND-6: 1247.9367012257023
      BAND-7: 1147.1153451852197
      BAND-8: 1008.5797116167224
      BAND-8A: 919.4490652729022
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2023-07-14 00:21:53.019094Z
    atime: 2023-08-03 11:42:40Z
    ctime: 2023-07-14 05:04:56Z
    mtime: 2023-07-14 05:04:51Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2023/2023-07/15S145E-20S150E/S2B_MSIL1C_20230714T002059_N0509_R116_T55KFA_20230714T023504.zip
  system_information:
    hostname: gadi-cpu-clx-1803.gadi.nci.org.au
    runtime_id: d9e25c32-31f2-11ee-8d58-00000188fe80
    time_processed: 2023-08-03 11:42:40.238604Z
    uname: 'Linux gadi-cpu-clx-1803.gadi.nci.org.au 4.18.0-477.15.1.el8.nci.x86_64
      #1 SMP Sun Jul 16 11:36:47 AEST 2023 x86_64'
gqa:
  colors:
    blue: 3.0
    green: 5.0
    red: 4.0
    teal: 13.0
    yellow: 2.0
  error_message: no errors
  final_qa_count: 22
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20230714T023504_A033175_T55KFA_N05.09
  ref_date: '2014-09-02T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata-2/GCP/GQA_v3/wrs2/093/072/LC80930722014245LGN00_B2.TIF
  residual:
    abs:
      x: 1.76
      xy: 2.16
      y: 1.25
    abs_iterative_mean:
      x: 0.61
      xy: 0.78
      y: 0.49
    cep90: 1.42
    iterative_mean:
      x: 0.37
      xy: 0.45
      y: 0.26
    iterative_stddev:
      x: 0.68
      xy: 0.88
      y: 0.57
    mean:
      x: 1.39
      xy: 1.48
      y: -0.51
    stddev:
      x: 2.96
      xy: 3.81
      y: 2.4
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.5399703390707306
    cloud: 2.454397701306768
    cloud_shadow: 2.255073222180653
    snow: 0.10442725149268994
    water: 94.64613148594916
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 93.94885756749353
    cloud: 6.051142432506476
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.9.0
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.4
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.3
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.29.7
...
